:root{
    --clr--black: #000;
    --clr--white: #fff;
    --clr--lightgrey: #939393;
    --clr--yellow: #ACB800;
    --clr--background: #ADADAD;
    --clr--gray: #353535;
}
*{
    margin: 0;
    padding: 0;
    scroll-behavior: smooth;
    font-family: 'Barlow', sans-serif;
    box-sizing: border-box;
    z-index: 2;
}
html{
    overflow-x: hidden;
}

header img{
    max-width: 15rem;
    cursor: pointer;
}
header{
    text-align: center;
    background-color: var(--clr--black);
    border-bottom: 2px solid var(--clr--yellow);
    padding-top: 1rem;
    padding-bottom: 1rem;
}
header .container img{
    max-width: 1.5rem;
    max-height: 1.5rem;
    margin-right: .5rem;
}
header .container p{
    color: var(--clr--white);
    margin-left: .5rem;
}
header .container{
    display:flex;
    justify-content: center;
}
header .container{
    padding: 1rem 0 0 0;
}

.main-heading{
    text-align: center;
    padding: 2rem 0;
    font-size: 2rem;
    font-weight: 700;
    color: black;
    position: relative;
}

.background-container{
    z-index: 0 !important;
    position: absolute;
    left: 0;
    right: 0;
    margin-left: auto;
    margin-right: auto;
    max-width: 100vw;
    overflow: hidden;
}
.background-container img{
    height: 35rem;
    width: 100vw;
    object-fit: cover;
    opacity: .75;

}
.banner-container{
    position: absolute;
    top: 10%;
}
.banner-container img{
    height:4.5rem;
    width: 100vw;
    opacity: 1 !important;  
    transform: translateX(-1rem)
}
.banner-container h1{
    position: absolute;
    top: 1.4rem;
    margin-left: 1rem;
    font-size: 1.4rem;
    font-weight: bold;
}
@media (min-width: 500px){
    .banner-container h1{
        right: 20%;
        font-size: 1.6rem;
        top: 1.25rem;
    }
}
@media (min-width: 600px){
    .banner-container img{
        width: 80vw;
    }
}
@media (min-width: 800px){
    .background-container img{
        height: 50rem;
    }
    .banner-container img{
        height: 4.5rem;
    }
}
@media (min-width: 1000px){
    .banner-container img{
        height: 6rem;
    }
    .banner-container h1{
        font-size: 2.5rem;
        top: 1.3rem;
    }
}
@media (min-width: 1400px){
    .cards-container{
        margin-top: 0 !important;
        padding-top: 20rem !important; 
    }
    .banner-container img{
        width: 70vw;
    }
    .banner-container h1{
        right: 10%;
    }
}
@media (min-width: 1500px){
    .background-container{
        margin: 0 3rem 0 3rem;
    }
}
@media (min-width: 1600px){
    .background-container{
        margin: 0 5rem 0 5rem;
    }
    .banner-container img{
        width: 60vw;
        height: 7rem;
    }
    .banner-container h1{
        top: 1.6rem;
        font-size: 3rem;
    }
}
@media (min-width: 1800px){
    .background-container img{
        height: 70rem;
    }
    .banner-container img{
        height: 10rem;
    }
    .banner-container h1{
        top: 2.75rem;
        font-size: 3.5rem;
    }
    .cards-container{
        padding-top: 35rem !important;
        padding-bottom: 0rem !important;
    }
    .background-container{
        margin: 0 2rem 0 2rem;
    }

}
@media (min-width: 1900px){
    .background-container{
        margin: 0 7rem 0 7rem;
    }
}

#backtotopbtn{
    /* visibility: hidden; */
    position: fixed; 
    bottom: 20px; 
    right: 30px; 
    z-index: 99; 
    border: none; 
    outline: none; 
    background-color: var(--clr--lightgrey);
    color: white;
    cursor: pointer; 
    padding: 1rem; 
    border-radius: 10px;
    transition: all 200ms ease;
    animation: 1s fadeIn;
    animation-fill-mode: forwards;
}
#backtotopbtn img{
    width: 4rem;
}
#backtotopbtn:hover {
    background-color: #555; 
}
.backtotop-visible{
    visibility: unset !important;
}

@keyframes fadeIn {
    99% {
        visibility: hidden;
    }
    100% {
        visibility: visible;
    }
}
@media (max-width: 500px){
    #backtotopbtn{
        padding: 1rem;
    }
    #backtotopbtn img{
        width: 3rem;
    }
}



/*CARDS*/

.cards-container{
    position: relative;
    padding: 0 .5rem;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    width: fit-content;
    margin: 0 auto; 
    gap: 1rem;
    padding-top: 12.5rem;
}
.cards-card img{
    max-width: 7rem;
    margin: 0 auto;
    margin-top: .5rem;
}
.cards-card{
    background-color: var(--clr--black);
    width: 10rem;
    height: 10rem;
    text-align: center;
    border: 3px solid var(--clr--yellow);
    box-shadow: .5rem 1rem 2rem #000;
    border-radius: 1rem;
    overflow: hidden;
    cursor: pointer;
    transition: all 300ms ease;
}
.cards-card:hover .card-text{
    transform: translateY(0);
}
.cards-card:hover{
    opacity: 1 !important;
}
.card-text{
    margin-top: .5rem;
    font-size: 1rem; 
    transform: translateY(0rem);
    color: var(--clr--white);
    transition: all 300ms ease;
}
/* #card-tepelna-cerpadla-text{
    margin-top: 1rem;
}
#card-klimatizace-text{
    margin-top: 1rem;
} */
.low-opacity{
    opacity: .75;
}
.max-opacity{
    opacity: 1;
}

/*SECTIONS*/

.section-container{
    margin: 5rem .5rem;
}
.section-heading{
    text-align: center;
}
.section-heading h2{
    font-weight: 700;
    font-size: 2rem;
}
.section-heading h3{
    font-size: 1.3rem;
}

.paragraph-container{
    margin-top: 3rem;
    text-align: center;
}
.paragraph-container img{
    max-width: 21rem;
    display: block;
    margin: 0 auto;
}
.paragraph-container p{
    font-size: 1.25rem;
}

.paragraph-container-2 img{
    max-width: 22rem;
    display: block;
    margin: 0 auto;
}
.paragraph-container-2{
    margin-top: 3rem;
    text-align: center;
}
.paragraph-article{
    margin: 2rem .5rem 0 .5rem;
}
.paragraph-article p{
    font-size: 1.25rem;
}
.paragraph-article button{
    background-color: var(--clr--black);
    color: var(--clr--yellow);
    border-radius: 1em;
    padding: .5em 2em .5em 2em;
    border: 3px solid transparent;
    font-size: 1.3em;
    transition: all 300ms ease;
    margin-top: 1rem;
}
.paragraph-article button:hover{
    border: 2px solid var(--clr--yellow);
}

/*FOOTER*/

footer{
    background-color: var(--clr--black);
    color: var(--clr--white);
    text-align: center;
}
.footer-panel img{
    max-width: 20rem;
}
.footer-panel{
    padding: .5rem;
}
.footer-bottom-panel{
    padding: .5rem;
    font-size: 1rem;
    background-color: #000;
    color: #fff;
}
.footer-bottom-panel{
    text-align: center;
}
.footer-bottom-panel a{
    color: var(--clr--white);
    border-bottom: 1px solid #fff;
}


/*PRE-DEFINED*/

.black-line{
    width: 100vw;
    height: 3px;
    background-color: var(--clr--black);
    opacity: 0.4;
}
.reveal{
    position: relative;
    transform: translateY(150px);
    opacity: 0;
    transition: all 2s ease;
}
.reveal.active{
    transform: translateY(0px);
    opacity: 1;
}

/*OPTIMALIZATION*/

@media (min-width: 700px){
    .paragraph-container img{
        max-width: 30rem;
    }
    .paragraph-container-2 img{
        max-width: 30rem;
    }
    .paragraph-container p{
        margin: 0 5rem;
    }
    .paragraph-article p{
        margin: 0 5rem;
    }
}

@media (min-width: 800px){
    .cards-card{
        width: 20rem;
        height: 20rem;
    }
    .cards-card img{
        max-width: 15rem;
    }
    .cards-card p{
        font-size: 2rem;
        transform: translateY(5rem);
    }
    .main-heading{
        font-size: 4rem;
    }
    header{
        display: grid !important;
        grid-template-columns: 1fr 1fr 1fr;
    }
    header .container p{
        font-size: 1.4rem;
    }
    header .container img{
        max-width: 2rem;
        max-height: 2rem;
        align-self: unset;
    }
    header img{
        align-self: center;
    }
    .cards-card p{
        transform: translateY(0)
    }
    /* #card-tepelna-cerpadla-text{
        margin-top: 2rem;
    }
    #card-klimatizace-text{
        margin-top: 2rem;
    } */
}

@media (min-width: 1000px){
    footer{
        display: grid !important;
        grid-template-columns: 1fr 1fr 1fr 1fr;
        grid-template-rows: 1fr;
        text-align: center;
    }
    .footer-panel p{
        margin: 0;
    }
    .footer-bottom-panel{
        display: flex;
        align-self: center;
        justify-content: center;
    }
    header{
        padding: 1rem 5rem;
    }
}

@media (min-width: 1100px){
    .section-container{
        margin: 5rem 10rem;
    }
    .paragraph-container{
        display: grid;
        grid-template-columns: 1fr 1fr;
    }
    .paragraph-container img{
        max-width: 25rem;
        align-self: center;
        margin: 1rem;
    }
    .paragraph-container-2{
        display: grid;
        grid-template-columns: 1fr 1fr;
    }
    .paragraph-container-2 img{
        align-self: center;
        margin: 1rem;
        max-width: 25rem;
    }
    .paragraph-container p{
        margin: 0;
        align-self: center;
    }
    .paragraph-article p{
        margin: 0;
        align-self: center;
    }
    .paragraph-article button{
        margin-top: 4rem;
    }
    .section-heading{
        margin-bottom: 5rem;
    }
}

@media (min-width: 1200px){
    header img{
        max-width: 20rem;
    }
}

@media (min-width: 1300px){
    .section-heading h2{
        font-size: 3rem;
    }
    .section-heading h3{
        font-size: 2rem;
    }
    .paragraph-container p{
        font-size: 1.5rem;
    }
    .paragraph-container-2 p{
        font-size: 1.5rem;
    }
}

@media (min-width: 1400px){
    .cards-container{
        grid-template-columns: 1fr 1fr 1fr 1fr;
        grid-template-rows: 1fr;
        margin-top: 10rem;
        margin-bottom: 15rem;
    }
    .footer-panel{
        font-size: 1.25rem;
    }
    .footer-bottom-panel{
        font-size: 1.25rem;
    }
    /* #card-tepelna-cerpadla-text{
        margin-top: 2.5rem;
    }
    #card-klimatizace-text{
        margin-top: 2rem;
    } */
    header{
        padding: 1rem 10rem;
    }
}

@media (min-width: 1500px){
   .paragraph-container{
    grid-gap: 1rem;
   }
   .paragraph-container-2{
    grid-gap: 1rem;
   }
   .paragraph-container img{
    max-width: 40rem;
   }
   .paragraph-container-2 img{
    max-width: 40rem;
   }
   .main-heading{
        font-size: 5rem;
        margin-top: 4rem;
   }
}

@media (min-width: 1700px){
    .section-container{
        margin: 5rem 10rem;
    }
    header .container img{
        max-width: 2.5rem;
        max-height: 2.5rem;
    }
    header .container p{
        font-size: 1.75rem;
    }
    /* .paragraph-container p{
        margin-left: 10rem;
    } */
    /* .paragraph-article p{
        margin-right: 10rem;
    } */
    /* .paragraph-article button{
        margin-right: 10rem;
    } */
    header{
        padding: 1rem 15rem;
    }
}

@media (min-width: 1800px){
    .paragraph-container p{
        font-size: 1.75rem;
    }
    .paragraph-article p{
        font-size: 1.75rem;
    }
    .paragraph-article button{
        font-size: 1.75rem;
    }
    .cards-card{
        width: 25rem;
        height: 25rem;
    }
    .cards-card p{
        transform: translateY(6rem)
    }
    .cards-card img{
        max-width: 20rem;
    }
    .main-heading{
        font-size: 7rem;
    }
    /* .section-heading{
        margin-left: 7rem;
    } */
}

@media (min-width: 2000px){
    .paragraph-container img{
        max-width: 50rem;
    }
    .paragraph-container-2 img{
        max-width: 50rem;
    }
    header{
        padding: 1rem 20rem;
    }
}

@media (min-width: 2300px){
    .cards-card{
        min-width: 32rem;
        min-height: 32rem;
    }
    .cards-card img{
        max-width: 25rem;
    }
    .cards-card p{
        font-size: 3rem;
        transform: translateY(8rem);
    }
    /* .section-heading{
        margin-left: 10rem;
    } */
}